
 LinHES - Bug # 243: Cannot install mythtv-vdpau

Status: Closed Priority: Normal
Author: nickca Category:
Created: 02/27/2009 Assignee: cecil
Updated: 03/20/2010 Due date:
Description: When trying to switch from mythtv to mythtv-vdpau, pacman complains about all the other MythTV packages 

depending on mythtv, like so:

:: Replace mythtv with extra-testing/mythtv-vdpau? [Y/n] 
resolving dependencies...
looking for inter-conflicts...
error: failed to prepare transaction (could not satisfy dependencies)
:: morethemes: requires mythtv>=0.21
:: mythappletrailers: requires mythtv
:: mytharchive: requires mythtv>=0.21
:: mythbrowser: requires mythtv>=0.21
:: mythcontrols: requires mythtv>=0.21
:: mythflix: requires mythtv>=0.21
:: mythgallery: requires mythtv>=0.21
:: mythgame: requires mythtv>=0.21
:: mythmusic: requires mythtv>=0.21
:: mythnews: requires mythtv>=0.21
:: mythphone: requires mythtv>=0.21
:: mythsmolt: requires mythtv>=0.21
:: mythstream: requires mythtv
:: myththemes: requires mythtv>=0.21
:: mythvideo: requires mythtv>=0.21
:: mythweather: requires mythtv>=0.21
:: mythweb: requires mythtv>=0.21

The mythtv-vdpau package has this line in its info:
Provides       : mythtv0.21
Apparently that's not enough to satisfy the dependency, though.

History
02/27/2009 02:25 pm - cecil
Only install mythtv-vdpau is you have a vdpau capable card.  This should have been fixed w/ the latest mythtv-vdpau build.
pacman -Sy
pacman -Rd mythtv
pacman -S mythtv-vdpau

02/27/2009 02:40 pm - graysky
@cecil - does the mythtv-vdpau package also contain the mplayer w/ vdpau support?

02/27/2009 03:27 pm - cecil
No.  That is why mplayer-vdpau-nogui exist.

02/27/2009 05:12 pm - graysky
Thanks... will give it a whirl.  Is it safe to assume the proper way to install it is to modify your instructions above like this?

pacman -Sy
pacman -Rd mythtv mplayer
pacman -S mythtv-vdpau mplayer-vdpau-nogui

02/27/2009 06:41 pm - graysky
OK.. problems :)

I just did a clean install from CD of R6.00.07.  Everything seemed in order.  I issued the following:

<code># pacman -Sy
# pacman -Rd mythtv mplayer
# pacman -S mythtv-vdpau mplayer-vdpau-nogui
resolving dependencies...
looking for inter-conflicts...

Targets (4): nvidia-utils-beta-180.29-1  nvidia-beta-180.29-1  mplayer-vdpau-nogui-28348-3  
             mythtv-vdpau-0.21-2  

Total Download Size:    0.00 MB
Total Installed Size:   99.53 MB

Proceed with installation? [Y/n] y
checking package integrity...
(4/4) checking for file conflicts                   [####################################] 100%
error: could not prepare transaction
error: failed to commit transaction (conflicting files)
nvidia-beta: /lib/modules/2.6.28-LinHES/kernel/drivers/video/nvidia.ko exists in filesystem
Errors occurred, no packages were upgraded.
</code>

Pacman brought down 4 packages including the 180.29 beta drivers.  After all four came down, I got an error complaining that it couldn't replace the 
kernel driver because it was in use.  The machine was rebooted and mythfrontend will not load.  I can post logs if you want.  Please let me know how 
you would like me to proceed.

Here is my /var/log/Xorg.0.log:

<code>X.Org X Server 1.5.3
Release Date: 5 November 2008
X Protocol Version 11, Revision 0
Build Operating System: Linux 2.6.26-ARCH i686
Current Operating System: Linux myth-bathroom 2.6.28-LinHES #1 SMP PREEMPT Sat Feb 14 12:09:54 UTC 2009 i686
Build Date: 12 January 2009  10:25:53PM

        Before reporting problems, check http://wiki.x.org
        to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
        (++) from command line, (!!) notice, (II) informational,
        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Fri Feb 27 18:38:43 2009
(==) Using config file: "/etc/X11/xorg.conf"
(==) ServerLayout "Layout0"
(**) |-->Screen "Screen0" (0)
(**) |   |-->Monitor "Monitor0"
(**) |   |-->Device "Device0"
(**) |-->Input Device "Keyboard0"
(**) |-->Input Device "Mouse0"
(**) Option "AutoAddDevices" "False"
(**) Not automatically adding devices
(==) Automatically enabling devices
(==) FontPath set to:
        /usr/share/fonts/misc,
        /usr/share/fonts/100dpi:unscaled,
        /usr/share/fonts/75dpi:unscaled,
        /usr/share/fonts/TTF,
        /usr/share/fonts/Type1
(==) ModulePath set to "/usr/lib/xorg/modules"
(II) Open ACPI successful (/var/run/acpid.socket)
(II) Loader magic: 0x81d59a0
(II) Module ABI versions:
        X.Org ANSI C Emulation: 0.4
        X.Org Video Driver: 4.1
        X.Org XInput driver : 2.1
        X.Org Server Extension : 1.1
        X.Org Font Renderer : 0.6
(II) Loader running on linux
(--) using VT number 4

(--) PCI:*(0@2:0:0) nVidia Corporation GeForce 8400 GS rev 161, Mem @ 0xc2000000/0, 0xb0000000/0, 0xc0000000/0, I/O @ 0x00009000/0, BIOS @ 
0x????????/131072
(II) System resource ranges:
        [0] -1  0       0xffffffff - 0xffffffff (0x1) MX[B]
        [1] -1  0       0x000f0000 - 0x000fffff (0x10000) MX[B]
        [2] -1  0       0x000c0000 - 0x000effff (0x30000) MX[B]
        [3] -1  0       0x00000000 - 0x0009ffff (0xa0000) MX[B]
        [4] -1  0       0x0000ffff - 0x0000ffff (0x1) IX[B]
        [5] -1  0       0x00000000 - 0x00000000 (0x1) IX[B]
(II) "extmod" will be loaded. This was enabled by default and also specified in the config file.
(II) "dbe" will be loaded. This was enabled by default and also specified in the config file.
(II) "glx" will be loaded. This was enabled by default and also specified in the config file.
(II) "freetype" will be loaded. This was enabled by default and also specified in the config file.
(II) "dri" will be loaded by default.
(II) LoadModule: "dbe"

(II) Loading /usr/lib/xorg/modules/extensions//libdbe.so
(II) Module extmod: vendor="X.Org Foundation"
        compiled for 1.5.3, module version = 1.0.0
        Module class: X.Org Server Extension
        ABI class: X.Org Server Extension, version 1.1
(II) Loading extension SHAPE
(II) Loading extension MIT-SUNDRY-NONSTANDARD
(II) Loading extension BIG-REQUESTS
(II) Loading extension SYNC
(II) Loading extension MIT-SCREEN-SAVER
(II) Loading extension XC-MISC
(II) Loading extension XFree86-VidModeExtension
(II) Loading extension XFree86-Misc
(II) Loading extension XFree86-DGA
(II) Loading extension DPMS
(II) Loading extension TOG-CUP
(II) Loading extension Extended-Visual-Information
(II) Loading extension XVideo
(II) Loading extension XVideo-MotionCompensation
(II) Loading extension X-Resource
(II) LoadModule: "type1"

(WW) Warning, couldn't open module type1
(II) UnloadModule: "type1"
(EE) Failed to load module "type1" (module does not exist, 0)
(II) LoadModule: "freetype"

(II) Loading /usr/lib/xorg/modules/fonts//libfreetype.so
(II) Module freetype: vendor="X.Org Foundation & the After X-TT Project"
        compiled for 1.5.3, module version = 2.1.0
        Module class: X.Org Font Renderer
        ABI class: X.Org Font Renderer, version 0.6
(II) Loading font FreeType
(II) LoadModule: "glx"

(WW) Warning, couldn't open module glx
(II) UnloadModule: "glx"
(EE) Failed to load module "glx" (module does not exist, 0)
(II) LoadModule: "dri"

(II) Loading /usr/lib/xorg/modules/extensions//libdri.so
(II) Module dri: vendor="X.Org Foundation"
        compiled for 1.5.3, module version = 1.0.0
        ABI class: X.Org Server Extension, version 1.1
(II) Loading extension XFree86-DRI
(II) LoadModule: "nvidia"

(WW) Warning, couldn't open module nvidia
(II) UnloadModule: "nvidia"
(EE) Failed to load module "nvidia" (module does not exist, 0)
(II) LoadModule: "kbd"
(II) Loading /usr/lib/xorg/modules/input//kbd_drv.so
(II) Module kbd: vendor="X.Org Foundation"
        compiled for 1.5.3, module version = 1.3.1
        Module class: X.Org XInput Driver
        ABI class: X.Org XInput driver, version 2.1
(II) LoadModule: "mouse"

(II) Loading /usr/lib/xorg/modules/input//mouse_drv.so
(II) Module mouse: vendor="X.Org Foundation"
        compiled for 1.5.3, module version = 1.3.0
        Module class: X.Org XInput Driver
        ABI class: X.Org XInput driver, version 2.1
(EE) No drivers available.

Fatal server error:
no screens found</code>
Here is my /etc/X11/xorg.conf

<code>
Section "ServerFlags"
        Option "AutoAddDevices" "False"
EndSection

Section "ServerLayout"
    Identifier     "Layout0"
    Screen      0  "Screen0"
    InputDevice    "Keyboard0" "CoreKeyboard"
    InputDevice    "Mouse0" "CorePointer"
EndSection

Section "Files"
#    RgbPath         "/usr/X11R6/lib/X11/rgb"
EndSection

Section "Module"
    Load           "dbe"
    Load           "extmod"
    Load           "type1"
    Load           "freetype"
    Load           "glx"
EndSection

Section "InputDevice"
    # generated from default
    Identifier     "Mouse0"
    Driver         "mouse"
    Option         "Protocol" "auto"
    Option         "Device" "/dev/psaux"
    Option         "Emulate3Buttons" "no"
    Option         "ZAxisMapping" "4 5"
EndSection

Section "InputDevice"
    # generated from default
    Identifier     "Keyboard0"
    Driver         "keyboard"
EndSection

Section "Monitor"
    Identifier     "Monitor0"
    VendorName     "Unknown"
    ModelName      "Unknown"
#    HorizSync
#    VertRefresh
    Option         "DPMS" "false"
    DisplaySize  203 153
    Modeline  "1280x720" 74.25   1280 1316 1452 1644    720  720  723  751 -hsync +vsync
    Modeline  "1280x720_60.00" 74.25 1280 1352 1432 1648 720 725 730 750 -hsync -vsync
    ModeLine  "848x480" 34.0 848 880 1016 1072 480 494 495 527 -hsync -vsync
    Modeline  "800x600" 38.34 800 832 928 1024 600 604 608 624 -HSync -VSync
    ModeLine "NTSC-DVD-72p" 32.432 720 736 800 858 480 484 492 525
#INSERT MODELINE
EndSection

Section "Device"
    Identifier     "Device0"
    Driver         "nvidia"
    VendorName     "NVIDIA Corporation"
    Option "DPI" "100 x 100"
    Option "NoLogo" "1"

#INSERT HERE

#END OPTIONS

#    Option "ConnectedMonitor" "DFP"
#    Option "FlatPanelProperties" "Scaling = centered, Dithering = enabled"
#    Option "DigitalVibrance" "0"
#    Option "TransparentIndex" "0"
#    Option  "CursorShadowAlpha" "64"
#    Option  "CursorShadowXOffset"  "4"
#    Option  "UseEdidFreqs" "True"
#    Option  "NvAGP" "1"

EndSection

Section "Screen"
    Identifier     "Screen0"
    Device         "Device0"
    Monitor        "Monitor0"
    DefaultDepth    24
    SubSection     "Display"
        Depth       24
         Modes "1680x1050"
    EndSubSection
EndSection
</code>

02/27/2009 07:01 pm - graysky
**Eureka!**

<code>
# pacman -Rd nvidia
(1/1) removing nvidia                               [####################################] 100%
[root@myth-bathroom]# pacman -S mplayer-vdpau-nogui mythtv-vdpau
resolving dependencies...
looking for inter-conflicts...

Targets (4): nvidia-utils-beta-180.29-1  nvidia-beta-180.29-1  mplayer-vdpau-nogui-28348-3  
             mythtv-vdpau-0.21-2  

Total Download Size:    0.00 MB
Total Installed Size:   99.53 MB

Proceed with installation? [Y/n] y
checking package integrity...
(4/4) checking for file conflicts                   [####################################] 100%
(1/4) installing nvidia-utils-beta                  [####################################] 100%
-------------------------------
By using this package you accept the NVIDIA license,
which has been installed in /usr/share/licenses/nvidia/LICENSE
If you do not accept this license, you must remove the package immediately.
Dont forget to update your /etc/X11/xorg.conf
In order to use nvidia-settings, you need to install the gtk2 package.
In order to use nvidia-xconfig, you need to install the pkgconfig package.
-------------------------------
nvidia 9746 drops support for Geforce 3 and 4 cards
If you have such a card, install the nvidia-96xx, nvidia-96xx-utils,
nvidia-96xx-ck, nvidia-96xx-beyond, nvidia-96xx-suspend2 packages
For a list of supported cards, see /usr/share/doc/nvidia/supported-cards.txt
-------------------------------
This drivers are beta. We recommend to use drivers from extra repo.
(2/4) installing nvidia-beta                        [####################################] 100%
(3/4) installing mplayer-vdpau-nogui                [####################################] 100%
(4/4) installing mythtv-vdpau                       [####################################] 100%
See "MythTV" on the Archlinux Wiki for installation information - Extensive!
</code>

...wonder why pacman didn't remove that automatically?

02/28/2009 06:59 am - nickca
Thanks, whatever you've changed has fixed the dependency problems. I was able to install mythtv-vdpau after doing a pacman -Sy.
